<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Bid</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Bid";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Bid.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../game/Game.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Bid.html" target="_top">Frames</a></li>
<li><a href="Bid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">game</div>
<h2 title="Class Bid" class="title">Class Bid</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>game.Bid</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Bid</span>
extends java.lang.Object</pre>
<div class="block">Bid class for auctions</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../game/Bid.html#Bid--">Bid</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#getAmount--">getAmount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#getBid-board.PurchaseableSquare-java.util.ArrayList-boolean-game.Bid-">getBid</a></span>(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
      java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
      boolean&nbsp;debug,
      <a href="../game/Bid.html" title="class in game">Bid</a>&nbsp;currentBid)</code>
<div class="block">Gets a new bid with input from the player</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../player/Player.html" title="class in player">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#getBidder--">getBidder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../game/Input.html" title="class in game">Input</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#getPlayerInput--">getPlayerInput</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#setAmount-int-">setAmount</a></span>(int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#setBid-int-player.Player-">setBid</a></span>(int&nbsp;newAmount,
      <a href="../player/Player.html" title="class in player">Player</a>&nbsp;newBidder)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#setBidder-player.Player-">setBidder</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;bidder)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../game/Bid.html#setPlayerInput-game.Input-">setPlayerInput</a></span>(<a href="../game/Input.html" title="class in game">Input</a>&nbsp;playerInput)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Bid--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Bid</h4>
<pre>public&nbsp;Bid()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAmount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAmount</h4>
<pre>public&nbsp;int&nbsp;getAmount()</pre>
</li>
</ul>
<a name="getBidder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBidder</h4>
<pre>public&nbsp;<a href="../player/Player.html" title="class in player">Player</a>&nbsp;getBidder()</pre>
</li>
</ul>
<a name="setBid-int-player.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBid</h4>
<pre>public&nbsp;void&nbsp;setBid(int&nbsp;newAmount,
                   <a href="../player/Player.html" title="class in player">Player</a>&nbsp;newBidder)</pre>
</li>
</ul>
<a name="getBid-board.PurchaseableSquare-java.util.ArrayList-boolean-game.Bid-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBid</h4>
<pre>public&nbsp;boolean&nbsp;getBid(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;psq,
                      java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                      boolean&nbsp;debug,
                      <a href="../game/Bid.html" title="class in game">Bid</a>&nbsp;currentBid)</pre>
<div class="block">Gets a new bid with input from the player</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>psq</code> - </dd>
<dd><code>players</code> - </dd>
<dd><code>debug</code> - </dd>
<dd><code>currentBid</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether a bid was exited or not</dd>
</dl>
</li>
</ul>
<a name="getPlayerInput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerInput</h4>
<pre>public&nbsp;<a href="../game/Input.html" title="class in game">Input</a>&nbsp;getPlayerInput()</pre>
</li>
</ul>
<a name="setPlayerInput-game.Input-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerInput</h4>
<pre>public&nbsp;void&nbsp;setPlayerInput(<a href="../game/Input.html" title="class in game">Input</a>&nbsp;playerInput)</pre>
</li>
</ul>
<a name="setAmount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAmount</h4>
<pre>public&nbsp;void&nbsp;setAmount(int&nbsp;amount)</pre>
</li>
</ul>
<a name="setBidder-player.Player-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBidder</h4>
<pre>public&nbsp;void&nbsp;setBidder(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;bidder)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Bid.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../game/Game.html" title="class in game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?game/Bid.html" target="_top">Frames</a></li>
<li><a href="Bid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
